---
- name: Create Namespace
  include_role:
    name: common/namespace
    tasks_from: namespace.yml
  vars:
    namespace: "{{ config.vpa.namespace }}"

- name: Configure Registry
  set_fact: 
    vpa_image_repository: "{{ platform.harbor_registry }}/google-proxy/autoscaling/vpa-recommender"
  when: platform.harbor_registry is defined

- name: Helm install vpa
  kubernetes.core.helm:
    release_name: "vpa"
    release_namespace: "{{ config.vpa.namespace }}"
    chart_ref: "{{ charts.vpa.name }}"
    chart_repo_url: "{{ charts.vpa.repo }}"
    chart_version: "{{ charts.vpa.version }}"
    values: "{{ lookup('template', 'helmvalues.yml') | from_yaml }}"
    wait: yes

- name: Install ClusterRoles for view and edit of verticalpodautoscalers
  k8s:
    state: present
    definition: "{{ lookup('template', 'k8s-vpa.yml') }}"
